﻿@model IEnumerable<Project_Prn211_4.Models.Cart>
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers

<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Cart</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <style>
        .container {
            padding-top: 20px;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Cart</h1>
         <a asp-controller="Home" asp-action="Index" class="btn btn-primary">Back to list</a>
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Product</th>
                    <th>Quantity</th>
                    <th>Total</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @{
                    decimal total = 0;
                }
                @foreach (var item in Model)
                {
                    
                    <tr>
                        <td>@Html.DisplayFor(modelItem => item.Product.ProductName)</td>
                        <td>@Html.DisplayFor(modelItem => item.Quantity)</td>
                        <td>$@(item.Product.Price * item.Quantity)</td>
                        <td>
                            <a asp-controller="Home" asp-action="Delete" asp-route-id="@item.ProductId" class="btn btn-danger" >Delete</a>
                        </td>
                    </tr>
                    total += (decimal)item.Product.Price * item.Quantity;
                }

            <tfoot>
                <tr>
                    <td colspan="2"></td>
                    <td><strong>Total: $@total</strong></td>
                    <td></td>
                </tr>
            </tfoot>
                <form asp-controller="Home" asp-action="Order" method="post">
    @*<div class="form-group">
        <label for="customerName">Customer Name</label>
        <input type="text" class="form-control" id="customerName" name="customerName" required>
    </div>*@
    <div class="form-group">
        <label for="shippingAddress">Shipping Address</label>
        <input type="text" class="form-control" id="shippingAddress" name="shippingAddress" required>
    </div>
    <div class="form-group">
        <label for="paymentMethod">Payment Method</label>
        <select class="form-control" id="paymentMethod" name="paymentMethod" required>
            <option value="Cash">Cash</option>
            <option value="Credit Card">Credit Card</option>
        </select>
    </div>
    <button type="submit" class="btn btn-primary m-3">Place Order</button>
</form>
                <p>@ViewBag.QuantityMessage</p>
            </tbody>
        </table>
    </div>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>
